// Скрипт для зачётного класса Академии первого урока (01z1.htm)
// Задания

// Постановки задач
var SetTasks = new Array(
'LAN:',                       // 1
'WAN:',                       // 2
'Интернет:',                  // 3
'Сервер:',                    // 4
'Сообщение для передачи в сеть делят на небольшие порции (пакеты) по следующим причинам:', // 5
'Пакет, передаваемый в Ethernet-сеть с разделяемой средой:', // 6
'Пакет, передаваемый в сеть с коммутацией пакетов:', // 7
'Хаб:',                                              // 8
'Коммутатор:',                                       // 9
'Маршрутизатор:',                                    // 10
'Укажите топологию сети:',
'Укажите топологию сети:',
'Укажите топологию сети:',
'Укажите топологию сети:',
'Укажите топологию сети:'
                     );

// Варианты
var Variants = new Array(
  new Array(
'компьютерная сеть',         // 1
'локальная сеть',
'глобальная сеть',
'мировая сеть',
'Интернет'
           ),

  new Array(                 // 2
'компьютерная сеть',
'локальная сеть',
'глобальная сеть',
'Интернет'
           ),

  new Array(
'компьютерная сеть',        // 3
'локальная сеть',
'глобальная сеть',
'мировая сеть',
'сеть с единым управляющим центром'
           ),

  new Array(               // 4
'управляет работой сети',
'обеспечивает сетевой сервис (почты, файловый архив, web-страницы&#133;)',
'обеспечивает доступ к своим устройствам (диски, принтеры, факсы&#133;)',
'необходимый элемент сети (сеть без него работать не будет)'
           ),

  new Array(              // 5
'каналы связи не способны передавать длинные сообщения',
'чтобы один узел не занял надолго канал связи',
'передача коротких сообщений обходится дешевле',
'чтобы повысить защиту информации от взлома'
           ),

  new Array(             // 6
'получают все узлы этой сети',
'проталкивается от узла к узлу до станции назначения',
'разделяется на столько частей, сколько в сети рабочих станций',
'перемещается по каналу, который заранее подготавливается (коммутируется)'
           ),

  new Array(            // 7
'получают все узлы этой сети',
'проталкивается от узла к узлу до станции назначения',
'разделяется на столько частей, сколько в сети рабочих станций',
'перемещается по каналу, который заранее подготавливается (коммутируется)'
           ),

  new Array(           // 8
'устройство для соединения каналов связи в сети',
'передаёт пакет, полученный с одного порта на все остальные',
'передаёт пакет только в порт, на котором находится получатель',
'работает под управлением программного обеспечения',
'делит сеть своими портами на независимые разделяемые среды',
'может работать в ячеистой сети',
'проталкивает пакет в соседний узел по пути следования пакета'
           ),

  new Array(           // 9
'устройство для соединения каналов связи в сети',
'передаёт пакет, полученный с одного порта на все остальные',
'передаёт пакет только в порт, на котором находится получатель',
'работает под управлением программного обеспечения',
'делит сеть своими портами на независимые разделяемые среды',
'может работать в ячеистой сети'
           ),
  new Array(           // 10
'устройство для соединения каналов связи в сети',
'передаёт пакет, полученный с одного порта на все остальные',
'передаёт пакет только в порт, на котором находится получатель',
'работает под управлением программного обеспечения',
'может работать в ячеистой сети',
'проталкивает пакет в соседний узел по пути следования пакета'
           ),

  new Array(           // 11
'?',
'общая шина',
'звезда',
'кольцо',
'дерево',
'ячеистая'
           ),

  new Array(           // 12
'?',
'общая шина',
'звезда',
'кольцо',
'дерево',
'ячеистая'
           ),

  new Array(           // 13
'?',
'общая шина',
'звезда',
'кольцо',
'дерево',
'ячеистая'
           ),

  new Array(           // 14
'?',
'общая шина',
'звезда',
'кольцо',
'дерево',
'ячеистая'
           ),

  new Array(           // 15
'?',
'общая шина',
'звезда',
'кольцо',
'дерево',
'ячеистая'
           )
                        );

// Ответы
var Answers =  new Array(
  new Array(      // 1
true,
true,
false,
false,
false
           ),

  new Array(     // 2
true,
false,
true,
false
           ),

  new Array(    // 3
true,
false,
true,
true,
false
           ),

  new Array(   // 4
false,
true,
true,
false
           ),

  new Array(  // 5
false,
true,
false,
false
           ),

  new Array(  // 6
true,
false,
false,
false
           ),

  new Array(  // 7
false,
true,
false,
false
           ),

  new Array(  // 8
true,
true,
false,
false,
false,
false,
false
           ),

  new Array(  // 9
true,
false,
true,
true,
true,
false
           ),
  new Array(  // 10
true,
false,
true,
true,
true,
true
           ),

3, 5, 4, 1, 2

               );

var picRU = new Array(
'./pic/01zadd01.gif',
'./pic/01zadd02.gif',
'./pic/01zadd03.gif',
'./pic/01zadd04.gif',
'./pic/01zadd05.gif'
                     );



//-----------------------------
// Построение зачетного класса
//-----------------------------
function ShowZRU(teach)
{
  var i;
  var str = '<P>Нажмите кнопку <SPAN class=mark>Сброс</SPAN>, затем приступайте к решению.';
  str += '<P><FORM name=exam><P><IMG src=../pic/clear.gif';
  str += ' width=113 height=41 border=0 alt=Сброс';
  str += ' onmouseup   ="room.Ini()"';
  str += ' onmousedown ="this.src=\'../pic/clear2.gif\'"';
  str += ' onmouseover ="this.src=\'../pic/clear1.gif\'"';
  str += ' onmouseout  ="this.src=\'../pic/clear.gif\'">';

  // Построение заданий
  var numf = 10; // число заданий флажков 
  var nump = 5; // число заданий с картинками 

  // Флажки
  for (i=0; i<numf; i++)
    str += ZFlagRU(teach, i, SetTasks[i], Variants[i], Answers[i]);

  // Выбор ответа к картинке из меню
  for (i=0; i<nump; i++)
    str += ZPicMenuRU(teach, i+numf, SetTasks[i+numf], Variants[i+numf], Answers[i+numf],picRU[i]);

  str +='<P>Чтобы увидеть результат работы, нажмите кнопку <SPAN class=mark>Оценка</SPAN>.';
  str +='<P><IMG src=../pic/bonus.gif width=113 height=41';
  str +=' border=0 alt=Оценка';
  str +=' onmouseup   ="room.Bonus()"';
  str +=' onmousedown ="this.src=\'../pic/bonus2.gif\'"';
  str +=' onmouseover ="this.src=\'../pic/bonus1.gif\'"';
  str +=' onmouseout  ="this.src=\'../pic/bonus.gif\'">';
  str +='</FORM>';

  document.write(str);
  room = new CheckTasks(SetTasks.length,exam);
  //room = new CheckTasks(SetTasks.length,exam);
}
